Skip to main content
GET
/
v1
/
customers
/
{Customer}
/
subscriptions
List Customer Subscriptions
curl --request GET \
  --url https://api.ecrypt.com/v1/customers/{Customer}/subscriptions \
  --header 'x-api-key: <api-key>'
{
  "customerId": "<string>",
  "customerSubscriptions": [
    {
      "customerSubscriptionId": "<string>",
      "installments": 123,
      "taxAmount": 123,
      "shippingAmount": 123,
      "surchargeAmount": 123,
      "totalAmount": 123,
      "startDate": "2023-11-07T05:31:56Z",
      "created": "2023-11-07T05:31:56Z",
      "status": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Authorization by x-api-key inside request's header

Path Parameters

Customer
string
default:00000000-0000-0000-0000-000000000000
required
Required string length: 8 - 64
Pattern: ^[0-9A-Za-z-]*$

Response

object | null

OK

customerId
string
customerSubscriptions
(object | null)[] | null